Changeset 606


Ignore:
Timestamp:
Jun 6, 2011 8:47:02 AM (9 years ago)
Author:
stefan
Message:

adapt to upcoming changes in Ipopt/trunk: add some missing includes, add check for stdint header

Location:
trunk/Couenne
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/configure

    r605 r606  
    2720427204
    2720527205for ac_header in ieeefp.h
     27206do
     27207as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     27208if eval "test \"\${$as_ac_Header+set}\" = set"; then
     27209  echo "$as_me:$LINENO: checking for $ac_header" >&5
     27210echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     27211if eval "test \"\${$as_ac_Header+set}\" = set"; then
     27212  echo $ECHO_N "(cached) $ECHO_C" >&6
     27213fi
     27214echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     27215echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     27216else
     27217  # Is the header compilable?
     27218echo "$as_me:$LINENO: checking $ac_header usability" >&5
     27219echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     27220cat >conftest.$ac_ext <<_ACEOF
     27221/* confdefs.h.  */
     27222_ACEOF
     27223cat confdefs.h >>conftest.$ac_ext
     27224cat >>conftest.$ac_ext <<_ACEOF
     27225/* end confdefs.h.  */
     27226$ac_includes_default
     27227#include <$ac_header>
     27228_ACEOF
     27229rm -f conftest.$ac_objext
     27230if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     27231  (eval $ac_compile) 2>conftest.er1
     27232  ac_status=$?
     27233  grep -v '^ *+' conftest.er1 >conftest.err
     27234  rm -f conftest.er1
     27235  cat conftest.err >&5
     27236  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27237  (exit $ac_status); } &&
     27238         { ac_try='test -z "$ac_cxx_werror_flag"
     27239                         || test ! -s conftest.err'
     27240  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     27241  (eval $ac_try) 2>&5
     27242  ac_status=$?
     27243  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27244  (exit $ac_status); }; } &&
     27245         { ac_try='test -s conftest.$ac_objext'
     27246  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     27247  (eval $ac_try) 2>&5
     27248  ac_status=$?
     27249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27250  (exit $ac_status); }; }; then
     27251  ac_header_compiler=yes
     27252else
     27253  echo "$as_me: failed program was:" >&5
     27254sed 's/^/| /' conftest.$ac_ext >&5
     27255
     27256ac_header_compiler=no
     27257fi
     27258rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     27259echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     27260echo "${ECHO_T}$ac_header_compiler" >&6
     27261
     27262# Is the header present?
     27263echo "$as_me:$LINENO: checking $ac_header presence" >&5
     27264echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     27265cat >conftest.$ac_ext <<_ACEOF
     27266/* confdefs.h.  */
     27267_ACEOF
     27268cat confdefs.h >>conftest.$ac_ext
     27269cat >>conftest.$ac_ext <<_ACEOF
     27270/* end confdefs.h.  */
     27271#include <$ac_header>
     27272_ACEOF
     27273if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     27274  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     27275  ac_status=$?
     27276  grep -v '^ *+' conftest.er1 >conftest.err
     27277  rm -f conftest.er1
     27278  cat conftest.err >&5
     27279  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27280  (exit $ac_status); } >/dev/null; then
     27281  if test -s conftest.err; then
     27282    ac_cpp_err=$ac_cxx_preproc_warn_flag
     27283    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     27284  else
     27285    ac_cpp_err=
     27286  fi
     27287else
     27288  ac_cpp_err=yes
     27289fi
     27290if test -z "$ac_cpp_err"; then
     27291  ac_header_preproc=yes
     27292else
     27293  echo "$as_me: failed program was:" >&5
     27294sed 's/^/| /' conftest.$ac_ext >&5
     27295
     27296  ac_header_preproc=no
     27297fi
     27298rm -f conftest.err conftest.$ac_ext
     27299echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     27300echo "${ECHO_T}$ac_header_preproc" >&6
     27301
     27302# So?  What about this header?
     27303case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     27304  yes:no: )
     27305    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     27306echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     27307    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     27308echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     27309    ac_header_preproc=yes
     27310    ;;
     27311  no:yes:* )
     27312    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     27313echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     27314    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     27315echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     27316    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     27317echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     27318    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     27319echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     27320    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     27321echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     27322    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     27323echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     27324    (
     27325      cat <<\_ASBOX
     27326## --------------------------------------- ##
     27327## Report this to couenne@list.coin-or.org ##
     27328## --------------------------------------- ##
     27329_ASBOX
     27330    ) |
     27331      sed "s/^/$as_me: WARNING:     /" >&2
     27332    ;;
     27333esac
     27334echo "$as_me:$LINENO: checking for $ac_header" >&5
     27335echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     27336if eval "test \"\${$as_ac_Header+set}\" = set"; then
     27337  echo $ECHO_N "(cached) $ECHO_C" >&6
     27338else
     27339  eval "$as_ac_Header=\$ac_header_preproc"
     27340fi
     27341echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     27342echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     27343
     27344fi
     27345if test `eval echo '${'$as_ac_Header'}'` = yes; then
     27346  cat >>confdefs.h <<_ACEOF
     27347#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     27348_ACEOF
     27349
     27350fi
     27351
     27352done
     27353
     27354
     27355fi
     27356ac_ext=c
     27357ac_cpp='$CPP $CPPFLAGS'
     27358ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     27359ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     27360ac_compiler_gnu=$ac_cv_c_compiler_gnu
     27361
     27362
     27363ac_ext=cc
     27364ac_cpp='$CXXCPP $CPPFLAGS'
     27365ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     27366ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     27367ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     27368
     27369#if test x"" = x; then
     27370#  hdr="#include <cstdint>"
     27371#else
     27372#  hdr=""
     27373#fi
     27374#AC_CHECK_HEADERS([cstdint],[],[],[$hdr])
     27375
     27376for ac_header in cstdint
     27377do
     27378as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     27379if eval "test \"\${$as_ac_Header+set}\" = set"; then
     27380  echo "$as_me:$LINENO: checking for $ac_header" >&5
     27381echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     27382if eval "test \"\${$as_ac_Header+set}\" = set"; then
     27383  echo $ECHO_N "(cached) $ECHO_C" >&6
     27384fi
     27385echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     27386echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     27387else
     27388  # Is the header compilable?
     27389echo "$as_me:$LINENO: checking $ac_header usability" >&5
     27390echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     27391cat >conftest.$ac_ext <<_ACEOF
     27392/* confdefs.h.  */
     27393_ACEOF
     27394cat confdefs.h >>conftest.$ac_ext
     27395cat >>conftest.$ac_ext <<_ACEOF
     27396/* end confdefs.h.  */
     27397$ac_includes_default
     27398#include <$ac_header>
     27399_ACEOF
     27400rm -f conftest.$ac_objext
     27401if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     27402  (eval $ac_compile) 2>conftest.er1
     27403  ac_status=$?
     27404  grep -v '^ *+' conftest.er1 >conftest.err
     27405  rm -f conftest.er1
     27406  cat conftest.err >&5
     27407  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27408  (exit $ac_status); } &&
     27409         { ac_try='test -z "$ac_cxx_werror_flag"
     27410                         || test ! -s conftest.err'
     27411  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     27412  (eval $ac_try) 2>&5
     27413  ac_status=$?
     27414  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27415  (exit $ac_status); }; } &&
     27416         { ac_try='test -s conftest.$ac_objext'
     27417  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     27418  (eval $ac_try) 2>&5
     27419  ac_status=$?
     27420  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27421  (exit $ac_status); }; }; then
     27422  ac_header_compiler=yes
     27423else
     27424  echo "$as_me: failed program was:" >&5
     27425sed 's/^/| /' conftest.$ac_ext >&5
     27426
     27427ac_header_compiler=no
     27428fi
     27429rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     27430echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     27431echo "${ECHO_T}$ac_header_compiler" >&6
     27432
     27433# Is the header present?
     27434echo "$as_me:$LINENO: checking $ac_header presence" >&5
     27435echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     27436cat >conftest.$ac_ext <<_ACEOF
     27437/* confdefs.h.  */
     27438_ACEOF
     27439cat confdefs.h >>conftest.$ac_ext
     27440cat >>conftest.$ac_ext <<_ACEOF
     27441/* end confdefs.h.  */
     27442#include <$ac_header>
     27443_ACEOF
     27444if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     27445  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     27446  ac_status=$?
     27447  grep -v '^ *+' conftest.er1 >conftest.err
     27448  rm -f conftest.er1
     27449  cat conftest.err >&5
     27450  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     27451  (exit $ac_status); } >/dev/null; then
     27452  if test -s conftest.err; then
     27453    ac_cpp_err=$ac_cxx_preproc_warn_flag
     27454    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     27455  else
     27456    ac_cpp_err=
     27457  fi
     27458else
     27459  ac_cpp_err=yes
     27460fi
     27461if test -z "$ac_cpp_err"; then
     27462  ac_header_preproc=yes
     27463else
     27464  echo "$as_me: failed program was:" >&5
     27465sed 's/^/| /' conftest.$ac_ext >&5
     27466
     27467  ac_header_preproc=no
     27468fi
     27469rm -f conftest.err conftest.$ac_ext
     27470echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     27471echo "${ECHO_T}$ac_header_preproc" >&6
     27472
     27473# So?  What about this header?
     27474case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     27475  yes:no: )
     27476    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     27477echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     27478    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     27479echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     27480    ac_header_preproc=yes
     27481    ;;
     27482  no:yes:* )
     27483    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     27484echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     27485    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     27486echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     27487    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     27488echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     27489    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     27490echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     27491    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     27492echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     27493    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     27494echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     27495    (
     27496      cat <<\_ASBOX
     27497## --------------------------------------- ##
     27498## Report this to couenne@list.coin-or.org ##
     27499## --------------------------------------- ##
     27500_ASBOX
     27501    ) |
     27502      sed "s/^/$as_me: WARNING:     /" >&2
     27503    ;;
     27504esac
     27505echo "$as_me:$LINENO: checking for $ac_header" >&5
     27506echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     27507if eval "test \"\${$as_ac_Header+set}\" = set"; then
     27508  echo $ECHO_N "(cached) $ECHO_C" >&6
     27509else
     27510  eval "$as_ac_Header=\$ac_header_preproc"
     27511fi
     27512echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     27513echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     27514
     27515fi
     27516if test `eval echo '${'$as_ac_Header'}'` = yes; then
     27517  cat >>confdefs.h <<_ACEOF
     27518#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     27519_ACEOF
     27520
     27521fi
     27522
     27523done
     27524
     27525
     27526if test "$ac_cv_header_cstdint" != "yes"; then
     27527  #if test x"" = x; then
     27528#  hdr="#include <stdint.h>"
     27529#else
     27530#  hdr=""
     27531#fi
     27532#AC_CHECK_HEADERS([stdint.h],[],[],[$hdr])
     27533
     27534for ac_header in stdint.h
    2720627535do
    2720727536as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  • trunk/Couenne/configure.ac

    r605 r606  
    104104AC_COIN_CHECK_CXX_CHEADER(float)
    105105AC_COIN_CHECK_CXX_CHEADER(ieeefp)
     106AC_COIN_CHECK_CXX_CHEADER(stdint)
    106107
    107108##############################################################################
  • trunk/Couenne/src/expression/operators/exprGroup.cpp

    r597 r606  
    1616#include "CouenneDepGraph.hpp"
    1717#include "CouenneProblem.hpp"
     18
     19#include <cassert>
    1820
    1921using namespace Couenne;
  • trunk/Couenne/src/problem/writeGAMS.cpp

    r490 r606  
    1111#include <fstream>
    1212#include <iomanip> // to use the setprecision manipulator
     13#include <cassert>
    1314
    1415#include "CouenneProblem.hpp"
  • trunk/Couenne/src/readnl/CouenneAmplInterface.cpp

    r530 r606  
    1111// Date : 07/18/2009
    1212
    13 
     13#include "CouenneConfig.h"
    1414#include "CouenneAmplInterface.hpp"
    1515#include "CoinPragma.hpp"
  • trunk/Couenne/src/standardize/auxiliarize.cpp

    r549 r606  
    1010 */
    1111
    12 #include <stdio.h>
    13 
    1412#include "CouenneProblem.hpp"
    1513#include "CouenneProblemElem.hpp"
     
    1715#include "CouenneExprClone.hpp"
    1816#include "CouenneDepGraph.hpp"
     17
     18#include <cstdio>
     19#include <cassert>
    1920
    2021using namespace Couenne;
Note: See TracChangeset for help on using the changeset viewer.